%define subrel  1

Name:           jsoup
Version:        1.8.3a
Release:        %mkrel 1
Summary:        Java library for working with real-world HTML
Group:          Development/Java
License:        MIT
URL:            http://%{name}.org/

Source0:        https://github.com/jhy/jsoup/archive/jsoup-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)

%description
jsoup is a Java library for working with real-world HTML.
It provides a very convenient API for extracting and manipulating data,
using the best of DOM, CSS, and jquery-like methods.

jsoup implements the WHATWG HTML5 specification,
and parses HTML to the same DOM as modern browsers do.

 - scrape and parse HTML from a URL, file, or string
 - find and extract data, using DOM traversal or CSS selectors
 - manipulate the HTML elements, attributes, and text
 - clean user-submitted content against a safe white-list,
   to prevent XSS attacks
 - output tidy HTML

jsoup is designed to deal with all varieties of HTML found in the wild;
from pristine and validating, to invalid tag-soup;
jsoup will create a sensible parse tree.


%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description    javadoc
API documentation for %{name}.

%prep
%setup -q -n jsoup-jsoup-%{version}
%pom_remove_plugin :animal-sniffer-maven-plugin

%build

%mvn_build

%install

%mvn_install

%files -f .mfiles
%doc LICENSE README CHANGES
%dir %{_javadir}/%{name}
%dir %{_datadir}/maven-poms/%{name}

%files javadoc -f .mfiles-javadoc
%doc LICENSE


%changelog
* Sat Aug 29 2015 daviddavid <daviddavid> 1.8.3a-1.1.mga5
+ Revision: 870888
- fix owner of maven-poms dir and java dir
- new version: 1.8.3a (fix CVE-2015-6748) (mga#16663)
- update Source URL
- remove animal-sniffer-maven-plugin (as it is not available)

* Sun Jan 18 2015 daviddavid <daviddavid> 1.7.2-4.mga5
+ Revision: 811321
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1.7.2-3.mga5
+ Revision: 746087
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 dmorgan <dmorgan> 1.7.2-1.mga5
+ Revision: 630573
- New version

* Fri Oct 18 2013 umeabot <umeabot> 1.6.1-5.mga4
+ Revision: 506493
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.6.1-4.mga3
+ Revision: 355634
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 16 2012 dmorgan <dmorgan> 1.6.1-3.mga3
+ Revision: 271279
- Remove maven from requires
- imported package jsoup


* Fri Jul 22 2011 Jaromir Capik <jcapik@redhat.com> - 1.6.1-2
- Switching to sources from github

* Fri Jul 22 2011 Jaromir Capik <jcapik@redhat.com> - 1.6.1-1
- Initial package

